# Class: c3.Butterfly

Defined in: | js/c3-graph.coffee
Inherits: | c3.Sankey

## Overview

TODO: Visually indicate focal node
TODO: Position nodes that are on both the right and left wings in the middle?

Butterfly flow visualization. This is a work in progress.

### Author:

- Douglas Armstrong

## Variables Summary

version =

      0.1

type =

      'butterfly'

navigatable =

      true

  [Boolean] Enable or disable user navigation of nodes

depth_of_field =

      2

  [Number] Number of levels of nodes to visualize to the left and right of the focus node

### Variable inherited from c3.Sankey

version type data links key value link_source link_target link_key link_value iterations alpha node_padding node_width align link_path link_path_curvature nodes_options node_options rect_options links_options link_options path_options node_label_options link_label_options class options content_options anchor height width anchor_styles handlers

## Instance Method Summary

- # (void) _init() Bound
- # (void) _update(origin) Bound
- # (void) _butterfly_update() Bound
- # (void) _butterfly_layout() Bound
- # (void) _style(style_new) Bound
- # (void) focus(focal) Bound Focus visualization on a specified focus node.

## Inherited Method Summary

### Methods inherited from c3.Sankey

#_init #_size #_update #_layout #_draw #_style #init #style #render #resize #redraw #restyle #_prep #size #update #draw

## Instance Method Details

# (void) _init() Bound

# (void) _update(origin) Bound

# (void) _butterfly_update() Bound

# (void) _butterfly_layout() Bound

# (void) _style(style_new) Bound

# (void) focus(focal) Bound

Focus visualization on a specified focus node. The graph will then fan out to the left and right of the focal node by `depth_of_field` levels.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input